Retrieve a video generation task

get/v1/video/generations/{task_id}

Retrieve the status and result of a video generation task.

Task statuses:

  • queued: waiting in the queue
  • in_progress: generating
  • completed: finished
  • failed: failed

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Parameters

FieldTypeRequiredDescription
task_idpathstringTask ID

Responses

200Task status retrieved

FieldTypeRequiredDescription
task_idstring—Task ID
statusstringqueuedin_progresscompletedfailed—Task status
urlstring—Video URL (when the task succeeded)
formatstring—Video format
metadataVideoTaskMetadata——
durationnumber—Actual video duration
fpsinteger—Actual frame rate
widthinteger—Actual width
heightinteger—Actual height
seedinteger—The random seed that was used
errorVideoTaskError——
codeinteger—Error code
messagestring—Error message

404Task not found

FieldTypeRequiredDescription
errorobject——
messagestring—Error message
typestring—Error type
paramstring | null—The parameter involved
codestring | null—Error code

Example request

curl -X GET 'https://api.oletoken.ai/v1/video/generations/{task_id}' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY"